Eclipse Platform Release 3.7

## org.eclipse.core.filebuffers
Interface IFileBufferStatusCodes

    public interface IFileBufferStatusCodes

This interface provides the list of status codes that are used by the file buffer plug-in when it throws `CoreException`.

Clients are not supposed to implement that interface.

Since:
  3.1
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Field Summary
`static int` `CHARSET_MAPPING_FAILED` File buffer status code indicating that an operation failed because a character could not be mapped using the given charset.
`static int` `CONTENT_CHANGE_FAILED` Changing the content of a file buffer failed.
`static int` `CREATION_FAILED` Creation of file buffer failed.
`static int` `DERIVED_FILE` File buffer status code indicating that a resource is marked derived.
`static int` `STATE_VALIDATION_FAILED` File buffer status code indicating that state validation failed.

Field Detail

### CONTENT_CHANGE_FAILED

    static final int CONTENT_CHANGE_FAILED

  Changing the content of a file buffer failed.

  See Also:
    Constant Field Values

### CREATION_FAILED

    static final int CREATION_FAILED

  Creation of file buffer failed.

  See Also:
    Constant Field Values

### CHARSET_MAPPING_FAILED

    static final int CHARSET_MAPPING_FAILED

  File buffer status code indicating that an operation failed because a character could not be mapped using the given charset.

  Value: 3

  Since:
    3.2
  See Also:
    `UnmappableCharacterException`, Constant Field Values

### STATE_VALIDATION_FAILED

    static final int STATE_VALIDATION_FAILED

  File buffer status code indicating that state validation failed.

  Value: 4

  Since:
    3.3
  See Also:
    `IFileBuffer.validateState(org.eclipse.core.runtime.IProgressMonitor, Object)`, Constant Field Values

### DERIVED_FILE

    static final int DERIVED_FILE

  File buffer status code indicating that a resource is marked derived.

  Value: 5

  Since:
    3.3
  See Also:
    `IResource.isDerived()`, Constant Field Values

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.